%define name	am-utils
%define version	6.1.5
%define release	%mkrel 3
%define major	2

%define libname %mklibname amu %major
%define develname %mklibname amu -d

Summary:	Automount utilities including an updated version of Amd
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		System/Servers
URL:		http://www.am-utils.org/
Source:		ftp://ftp.am-utils.org/pub/am-utils/%{name}/%{name}-%{version}.tar.bz2
Source1:	am-utils.init
Source2:	am-utils.conf
Source3:	am-utils.sysconf
Source4:	am-utils.net.map
Patch0:		am-utils-6.0.4-nfs3.patch
Patch1:		am-utils-6.1.5-fix-configure.patch
Requires(pre): grep
Requires(post): rpm-helper chkconfig info-install
Requires(preun): info-install rpm-helper chkconfig
Requires:	rpcbind
Obsoletes:	amd
Provides:	amd
BuildRequires:	bison byacc flex gdbm-devel openldap-devel >= 2.0.0
BuildConflicts: db2-devel db1-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:  	%name < %version

%description
Am-utils includes an updated version of Amd, the popular BSD
automounter.  An automounter is a program which maintains a cache of
mounted filesystems.  Filesystems are mounted when they are first
referenced by the user and unmounted after a certain period of inactivity.
Amd supports a variety of filesystems, including NFS, UFS, CD-ROMS and
local drives.  

You should install am-utils if you need a program for automatically
mounting and unmounting filesystems.

%package -n %libname
Group:          System/Servers
Summary:        Shared library files for am-utils

%description -n %libname
Shared library files from the am-utils package.

%package -n %develname
Group:          Development/C
Summary:        Development files for am-utils
Requires:       %libname = %version-%release
Obsoletes:      %mklibname amu -d 2

%description -n %develname
Development headers, and files for development from the am-utils package.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%serverbuild
%configure2_5x \
	--enable-shared				\
	--sysconfdir=%{_sysconfdir}		\
	--enable-libs="-lnsl -lresolv"		\
	--disable-amq-mount                     \
        --without-ldap

%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_sysconfdir}/{sysconfig,rc.d/init.d}

install -m 755 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/amd

install -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/amd

mkdir -p %{buildroot}/.automount
rm -f %{buildroot}%{_sbindir}/ctl-amd

# install the default config and map files

install -m 600 %{SOURCE2} %{buildroot}%{_sysconfdir}/amd.conf

install -m 640 %{SOURCE4} %{buildroot}%{_sysconfdir}/amd.net

rm -f %{buildroot}/amd.conf
rm -f %{buildroot}/%{_sysconfdir}/*-sample
rm -f %{buildroot}/amd

%clean
rm -rf %{buildroot}

%pre
# Check if we have an old fashioned amd.conf and rename if to amd.net
if [ "$1" = "0" ] ; then
    if grep -q "auto_dir" %{_sysconfdir}/amd.conf 2>/dev/null > /dev/null ; then
	# this is okay
	exit 0
    else
	# this needs to be renamed. Still, if %{_sysconfdir}/amd.net exists, then
	# don't bother renamig it. RPM will handle it better than us here.
	if [ -e %{_sysconfdir}/amd.net ] ; then
	    exit 0
	else
	    mv -f %{_sysconfdir}/amd.conf /etc/amd.net
	fi
    fi
fi
exit 0

%post
%_post_service amd
%_install_info %name

%preun
%_preun_service amd
%_remove_install_info %name

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc doc/*.ps AUTHORS BUGS ChangeLog NEWS README* scripts/*-sample INSTALL COPYING
%dir /.automount
%{_bindir}/pawd
%{_bindir}/expn
%{_sbindir}/*
%{_mandir}/man[58]/*
%{_mandir}/man1/pawd.1*
%{_mandir}/man1/expn.1*
%config(noreplace) %verify(not md5) %{_sysconfdir}/amd.conf
%config(noreplace) %verify(not md5) %{_sysconfdir}/amd.net
%config(noreplace) %{_sysconfdir}/sysconfig/amd
%config(noreplace) %{_sysconfdir}/rc.d/init.d/amd
%{_infodir}/*.info*

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %develname
%defattr(-,root,root)
%_libdir/*.a
%_libdir/*.so
%_libdir/*.la


%changelog
* Tue Dec 15 2009 Texstar <texstar at gmail.com> 6.1.5-3pclos2010
- gcc update

